# Get Divisions Details

This operation provides the divisions details.

Endpoint: GET /api/v1/divisions
Version: 0.1
Security: bearerAuth

## Query parameters:

  - `page` (number)
    page number

  - `size` (number)
    size of records

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)

## Response 200 fields (application/json):

  - `pageInfo` (object)
    Pagination details

  - `pageInfo.total` (number)
    Total number records displayed
    Example: 1

  - `pageInfo.pages` (number)
    Total pages
    Example: 1

  - `pageInfo.page` (number)
    current page
    Example: 10

  - `data` (object)
    array of divisions

  - `data.divisionID` (string)
    This defines division id
    Example: 4a0e2Bb4Njw

  - `data.name` (string)
    This defines name of the division
    Example: UK

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g. validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceid, or if the information is missing.

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due HTTP 404 Page or File not found.
    Example: not_found

  - `errorDescription` (string)
    The HTTP 404 Not Found response status code indicates that the server cannot find the requested resource.
    Example: resource not found

  - `additionalCode` (string)
    A unique identifier for the error, for example 0100025, 1110017, or 1090001.

  - `additionalInfo` (string)
    Additional information about the error. This error 'Not Found' might appear due to `Shipment Not Found`, `No Shipments to close`, or `Original Transaction not found`.

  - `additionalParameters` (array)

